﻿body {
    /*background-color: #ecefcb;*/
    /*background-color: #e4dab8;*/
    background-color:white;
}
/*=================================For fieldset===================================================*/

.form-control:focus {
    border-color: #1abc9c;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(26, 188, 156, 0.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(26, 188, 156, 0.6);
}

form fieldset {
    background-color: #fff9e7;
    border-width: 2px;
    border-style: solid;
    border-color: #356AA0;
    font-family: Calibri;
    font-size: 12px;
    /*margin: 20px 0px 20px 0px;*/
    /*width: 350px;*/
    position: relative;
    display: block;
    padding: 0px 10px 10px 10px;
    margin: 5px;
}

    form fieldset legend {
        background-color: #356AA0;
        border-width: 1px;
        border-style: solid;
        border-color: #356AA0;
        color: #ffffff;
        font-weight: bold;
        font-variant: small-caps;
        font-size: medium;
        padding: 2px 5px;
        margin: 0px 0px 10px 0px;
        position: relative;
        /*top: -12px;*/
        text-transform: uppercase;
    }

        form fieldset legend img {
            padding: 0px 5px 0px 5px;
        }

label {
    color: #5c71a2;
    font-size: 90%;
    font-weight: bold;
    display: block;
    float: left;
    width: 100px;
    text-align: right;
    margin: 4px 5px 0px 0px;
}
/*=================================For Table===================================================*/
.CSSTableGenerator {
    margin: 0px;
    padding: 0px;
    width: 100%;
    border-collapse: collapse;
}

    .CSSTableGenerator table {
        border-collapse: collapse;
        border-spacing: 0;
        /*width: 100%;*/
        height: 100%;
        margin: 0px;
        padding: 0px;
        table-layout: fixed;
    }

    .CSSTableGenerator tr td:first-child {
        width: 28%;
    }

   
    .CSSTableGenerator td 
    {
      
        text-align: left;
        padding: 7px;
        font-size: 18px;
        font-family: Calibri;
        color: #336699;
        word-wrap:break-word;
    }

    .CSSTableGenerator th {
        vertical-align: middle;
        background-color: #336699;
        text-align: center;
        padding: 7px;
        font-size: 18px;
        font-family: Calibri;
        font-weight: bold;
        color: #FFFFFF;
    }
/*=================================Textbox===================================================*/
/*.textbox {
    width: 70%;
    height: 30px;
    border-radius: 3px;
    border: 1px solid #CCC;
    padding: 2px;
    font-size: 17px;
    font-family: Calibri;
    box-shadow: 1px 1px 5px #CCC;
}*/

/*.textbox:focus {
        border-radius: 3px;
        border: 1px solid #aaa;
        padding: 2px;
        font-weight: 200;
        box-shadow: 1px 1px 5px #7C5B47;
    }*/
.textbox {
    width: 100px;
    height: 28px;
    border-width: 2px;
    padding: 2px;
    font-size: 17px;
    font-family: Calibri;
    background-color: #ffffff;
    border: 1px solid #dce4ec;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

    .textbox:focus {
        border-color: #1abc9c;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(26, 188, 156, 0.6);
    }

.textarea {
    width: 60%;
    height: 60px;    
    border-width: 2px;
    padding: 2px;
    font-size: 17px;
    font-family: Calibri;
    background-color: #ffffff;
    border: 1px solid #dce4ec;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    resize:none;
}

    .textarea:focus {
       border-color: #1abc9c;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(26, 188, 156, 0.6);
        resize:none;
    }
/*=================================For Select===================================================*/
.select {
    width: 150px;
    height: 30px;
    border-radius: 3px;
    border: 1px solid #CCC;
    font-weight: 200;
    font-size: 15px;
    font-family: Calibri;
    box-shadow: 1px 1px 5px #CCC;
    
}

    .select :focus {
        border-radius: 3px;
        border: 1px solid #aaa;
        font-weight: 200;
        box-shadow: 1px 1px 5px #336699;
    }
/*=================================For Button===================================================*/
.myButton {
    -moz-box-shadow: inset 0px 1px 0px 0px #356aa0;
    -webkit-box-shadow: inset 0px 1px 0px 0px #356aa0;
    /*box-shadow: inset 0px 1px 0px 0px #356aa0;*/
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #356aa0), color-stop(1, #356aa0));
    background: -moz-linear-gradient(top, #f9f9f9 5%, #e9e9e9 100%);
    background: -webkit-linear-gradient(top, #f9f9f9 5%, #e9e9e9 100%);
    background: -o-linear-gradient(top, #f9f9f9 5%, #e9e9e9 100%);
    background: -ms-linear-gradient(top, #f9f9f9 5%, #e9e9e9 100%);
    background: linear-gradient(to bottom, #356aa0 5%, #356aa0 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f9f9f9', endColorstr='#e9e9e9',GradientType=0);
    background-color: #356aa0;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    border: 0px solid #dcdcdc;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Calibri;
    font-size: 18px;
    font-weight: bold;
    padding: 6px 0px;
    text-decoration: none;   
    width:100%;
    text-align: center;
}   

    .myButton:active {
        position: relative;
        top: 1px;
    }



/*=================================info and errors===================================================*/

.message-info {
    border: 1px solid;
    clear: both;
    padding: 10px 20px;
}

.message-error {
    clear: both;
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.message-success {
    color: #7ac0da;
    font-size: 1.3em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.error {
    color: #e80c4d;
}

/* styles for validation helpers */
.field-validation-error {
    color: #e80c4d;
    font-weight: normal;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid {
    display: none;
}
